Index: cards/delphes_card_ATLAS.tcl
===================================================================
--- cards/delphes_card_ATLAS.tcl	(revision 7e227ae16c60893a6c2f0961e63583a79e2759a1)
+++ cards/delphes_card_ATLAS.tcl	(revision e06ec51d0c1cb36a64001fce9a7af5a77a936799)
@@ -32,4 +32,6 @@
   NeutrinoFilter
   GenJetFinder
+  GenMissingET
+  
   FastJetFinder
 
@@ -457,4 +459,16 @@
 
 
+#########################
+# Gen Missing ET merger
+########################
+
+module Merger GenMissingET {
+# add InputArray InputArray
+  add InputArray NeutrinoFilter/filteredParticles
+  set MomentumOutputArray momentum
+}
+
+
+
 ############
 # Jet finder
@@ -596,4 +610,6 @@
 
   add Branch GenJetFinder/jets GenJet Jet
+  add Branch GenMissingET/momentum GenMissingET MissingET
+
   add Branch UniqueObjectFinder/jets Jet Jet
   add Branch UniqueObjectFinder/electrons Electron Electron
Index: cards/delphes_card_ATLAS_PileUp.tcl
===================================================================
--- cards/delphes_card_ATLAS_PileUp.tcl	(revision 7e227ae16c60893a6c2f0961e63583a79e2759a1)
+++ cards/delphes_card_ATLAS_PileUp.tcl	(revision e06ec51d0c1cb36a64001fce9a7af5a77a936799)
@@ -26,5 +26,6 @@
   NeutrinoFilter
   GenJetFinder
-
+  GenMissingET
+  
   Rho
   FastJetFinder
@@ -41,5 +42,5 @@
   MuonEfficiency
   MuonIsolation
-
+  
   MissingET
   
@@ -433,4 +434,15 @@
 }
 
+#########################
+# Gen Missing ET merger
+########################
+
+module Merger GenMissingET {
+# add InputArray InputArray
+  add InputArray NeutrinoFilter/filteredParticles
+  set MomentumOutputArray momentum
+}
+
+
 ############
 # Jet finder
@@ -717,4 +729,6 @@
 
   add Branch GenJetFinder/jets GenJet Jet
+  add Branch GenMissingET/momentum GenMissingET MissingET
+
   add Branch UniqueObjectFinder/jets Jet Jet
   add Branch UniqueObjectFinder/electrons Electron Electron
Index: cards/delphes_card_CMS.tcl
===================================================================
--- cards/delphes_card_CMS.tcl	(revision 7e227ae16c60893a6c2f0961e63583a79e2759a1)
+++ cards/delphes_card_CMS.tcl	(revision e06ec51d0c1cb36a64001fce9a7af5a77a936799)
@@ -32,4 +32,6 @@
   NeutrinoFilter
   GenJetFinder
+  GenMissingET
+  
   FastJetFinder
 
@@ -464,4 +466,15 @@
 }
 
+#########################
+# Gen Missing ET merger
+########################
+
+module Merger GenMissingET {
+# add InputArray InputArray
+  add InputArray NeutrinoFilter/filteredParticles
+  set MomentumOutputArray momentum
+}
+
+
 
 ############
@@ -592,4 +605,6 @@
 
   add Branch GenJetFinder/jets GenJet Jet
+  add Branch GenMissingET/momentum GenMissingET MissingET
+
   add Branch UniqueObjectFinder/jets Jet Jet
   add Branch UniqueObjectFinder/electrons Electron Electron
Index: cards/delphes_card_CMS_PileUp.tcl
===================================================================
--- cards/delphes_card_CMS_PileUp.tcl	(revision 7e227ae16c60893a6c2f0961e63583a79e2759a1)
+++ cards/delphes_card_CMS_PileUp.tcl	(revision e06ec51d0c1cb36a64001fce9a7af5a77a936799)
@@ -26,4 +26,5 @@
   NeutrinoFilter
   GenJetFinder
+  GenMissingET
 
   Rho
@@ -443,4 +444,16 @@
 }
 
+#########################
+# Gen Missing ET merger
+########################
+
+module Merger GenMissingET {
+# add InputArray InputArray
+  add InputArray NeutrinoFilter/filteredParticles
+  set MomentumOutputArray momentum
+}
+
+
+
 ############
 # Jet finder
@@ -741,4 +754,6 @@
 
   add Branch GenJetFinder/jets GenJet Jet
+  add Branch GenMissingET/momentum GenMissingET MissingET
+
   add Branch UniqueObjectFinder/jets Jet Jet
   add Branch UniqueObjectFinder/electrons Electron Electron
Index: cards/delphes_card_FCC.tcl
===================================================================
--- cards/delphes_card_FCC.tcl	(revision 7e227ae16c60893a6c2f0961e63583a79e2759a1)
+++ cards/delphes_card_FCC.tcl	(revision e06ec51d0c1cb36a64001fce9a7af5a77a936799)
@@ -32,4 +32,6 @@
   NeutrinoFilter
   GenJetFinder
+  GenMissingET
+  
   FastJetFinder
 
@@ -467,4 +469,16 @@
 
 
+#########################
+# Gen Missing ET merger
+########################
+
+module Merger GenMissingET {
+# add InputArray InputArray
+  add InputArray NeutrinoFilter/filteredParticles
+  set MomentumOutputArray momentum
+}
+
+
+
 ############
 # Jet finder
@@ -592,4 +606,6 @@
 
   add Branch GenJetFinder/jets GenJet Jet
+  add Branch GenMissingET/momentum GenMissingET MissingET
+
   add Branch UniqueObjectFinder/jets Jet Jet
   add Branch UniqueObjectFinder/electrons Electron Electron
Index: cards/delphes_card_ILD.tcl
===================================================================
--- cards/delphes_card_ILD.tcl	(revision 7e227ae16c60893a6c2f0961e63583a79e2759a1)
+++ cards/delphes_card_ILD.tcl	(revision e06ec51d0c1cb36a64001fce9a7af5a77a936799)
@@ -407,4 +407,16 @@
 }
 
+#########################
+# Gen Missing ET merger
+########################
+
+module Merger GenMissingET {
+# add InputArray InputArray
+  add InputArray NeutrinoFilter/filteredParticles
+  set MomentumOutputArray momentum
+}
+
+
+
 ############
 # Jet finder
@@ -629,5 +641,7 @@
 # add Branch InputArray BranchName BranchClass
   add Branch Delphes/allParticles Particle GenParticle
+  
   add Branch GenJetFinder/jets GenJet Jet
+  add Branch GenMissingET/momentum GenMissingET MissingET
 
   add Branch TrackMerger/tracks Track Track
